## EmpathyTpGroup EmpathyTpGroup |

## Synopsis

                        EmpathyTpGroup;
                        EmpathyPendingInfo;
    EmpathyTpGroup*     empathy_tp_group_new                (TpChannel *channel);
    void                empathy_tp_group_close              (EmpathyTpGroup *group);
    void                empathy_tp_group_add_members        (EmpathyTpGroup *group,
                                                             GList *contacts,
                                                             const gchar *message);
    void                empathy_tp_group_add_member         (EmpathyTpGroup *group,
                                                             EmpathyContact *contact,
                                                             const gchar *message);
    void                empathy_tp_group_remove_members     (EmpathyTpGroup *group,
                                                             GList *contacts,
                                                             const gchar *message);
    void                empathy_tp_group_remove_member      (EmpathyTpGroup *group,
                                                             EmpathyContact *contact,
                                                             const gchar *message);
    GList*              empathy_tp_group_get_members        (EmpathyTpGroup *group);
    GList*              empathy_tp_group_get_local_pendings (EmpathyTpGroup *group);
    GList*              empathy_tp_group_get_remote_pendings
                                                            (EmpathyTpGroup *group);
    const gchar*        empathy_tp_group_get_name           (EmpathyTpGroup *group);
    EmpathyContact*     empathy_tp_group_get_self_contact   (EmpathyTpGroup *group);
    gboolean            empathy_tp_group_is_member          (EmpathyTpGroup *group,
                                                             EmpathyContact *contact);
    gboolean            empathy_tp_group_is_ready           (EmpathyTpGroup *group);
    EmpathyPendingInfo* empathy_tp_group_get_invitation     (EmpathyTpGroup *group,
                                                             EmpathyContact **remote_contact);
    EmpathyPendingInfo* empathy_pending_info_new            (EmpathyContact *member,
                                                             EmpathyContact *actor,
                                                             const gchar *message);
    void                empathy_pending_info_free           (EmpathyPendingInfo *info);

## Object Hierarchy

      GObject
       +----EmpathyTpGroup

## Properties

      "channel"                  TpChannel*            : Read / Write / Construct Only
      "ready"                    gboolean              : Read

## Signals

      "destroy"                                        : Run Last
      "local-pending"                                  : Run Last
      "member-added"                                   : Run Last
      "member-removed"                                 : Run Last
      "remote-pending"                                 : Run Last

## Description

## Details

### EmpathyTpGroup

    typedef struct _EmpathyTpGroup EmpathyTpGroup;

### EmpathyPendingInfo

    typedef struct {
    	EmpathyContact *member;
    	EmpathyContact *actor;
    	gchar          *message;
    	guint           reason;
    } EmpathyPendingInfo;

### empathy_tp_group_new ()

    EmpathyTpGroup*     empathy_tp_group_new                (TpChannel *channel);

`channel` : |
Returns : |

### empathy_tp_group_close ()

    void                empathy_tp_group_close              (EmpathyTpGroup *group);

`group` : |

### empathy_tp_group_add_members ()

    void                empathy_tp_group_add_members        (EmpathyTpGroup *group,
                                                             GList *contacts,
                                                             const gchar *message);

`group` : |
`contacts` : |
`message` : |

### empathy_tp_group_add_member ()

    void                empathy_tp_group_add_member         (EmpathyTpGroup *group,
                                                             EmpathyContact *contact,
                                                             const gchar *message);

`group` : |
`contact` : |
`message` : |

### empathy_tp_group_remove_members ()

    void                empathy_tp_group_remove_members     (EmpathyTpGroup *group,
                                                             GList *contacts,
                                                             const gchar *message);

`group` : |
`contacts` : |
`message` : |

### empathy_tp_group_remove_member ()

    void                empathy_tp_group_remove_member      (EmpathyTpGroup *group,
                                                             EmpathyContact *contact,
                                                             const gchar *message);

`group` : |
`contact` : |
`message` : |

### empathy_tp_group_get_members ()

    GList*              empathy_tp_group_get_members        (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_get_local_pendings ()

    GList*              empathy_tp_group_get_local_pendings (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_get_remote_pendings ()

    GList*              empathy_tp_group_get_remote_pendings
                                                            (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_get_name ()

    const gchar*        empathy_tp_group_get_name           (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_get_self_contact ()

    EmpathyContact*     empathy_tp_group_get_self_contact   (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_is_member ()

    gboolean            empathy_tp_group_is_member          (EmpathyTpGroup *group,
                                                             EmpathyContact *contact);

`group` : |
`contact` : |
Returns : |

### empathy_tp_group_is_ready ()

    gboolean            empathy_tp_group_is_ready           (EmpathyTpGroup *group);

`group` : |
Returns : |

### empathy_tp_group_get_invitation ()

    EmpathyPendingInfo* empathy_tp_group_get_invitation     (EmpathyTpGroup *group,
                                                             EmpathyContact **remote_contact);

`group` : |
`remote_contact` : |
Returns : |

### empathy_pending_info_new ()

    EmpathyPendingInfo* empathy_pending_info_new            (EmpathyContact *member,
                                                             EmpathyContact *actor,
                                                             const gchar *message);

`member` : |
`actor` : |
`message` : |
Returns : |

### empathy_pending_info_free ()

    void                empathy_pending_info_free           (EmpathyPendingInfo *info);

`info` : |

## Property Details

### The `"channel"` property

      "channel"                  TpChannel*            : Read / Write / Construct Only

The channel for the group.

### The `"ready"` property

      "ready"                    gboolean              : Read

This object can't be used until this becomes true.

Default value: FALSE

## Signal Details

### The `"destroy"` signal

    void                user_function                      (EmpathyTpGroup *empathytpgroup,
                                                            gpointer        user_data)           : Run Last

`empathytpgroup` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"local-pending"` signal

    void                user_function                      (EmpathyTpGroup *empathytpgroup,
                                                            EmpathyContact *arg1,
                                                            EmpathyContact *arg2,
                                                            guint           arg3,
                                                            gchar          *arg4,
                                                            gpointer        user_data)           : Run Last

`empathytpgroup` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The `"member-added"` signal

    void                user_function                      (EmpathyTpGroup *empathytpgroup,
                                                            EmpathyContact *arg1,
                                                            EmpathyContact *arg2,
                                                            guint           arg3,
                                                            gchar          *arg4,
                                                            gpointer        user_data)           : Run Last

`empathytpgroup` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The `"member-removed"` signal

    void                user_function                      (EmpathyTpGroup *empathytpgroup,
                                                            EmpathyContact *arg1,
                                                            EmpathyContact *arg2,
                                                            guint           arg3,
                                                            gchar          *arg4,
                                                            gpointer        user_data)           : Run Last

`empathytpgroup` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The `"remote-pending"` signal

    void                user_function                      (EmpathyTpGroup *empathytpgroup,
                                                            EmpathyContact *arg1,
                                                            EmpathyContact *arg2,
                                                            guint           arg3,
                                                            gchar          *arg4,
                                                            gpointer        user_data)           : Run Last

`empathytpgroup` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.